| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Static Public Attributes | List of all members
Ogre::RTShader::FFPLighting Class Reference
Optional Components » RTShaderSystem

Lighting sub render state implementation of the Fixed Function Pipeline. More...

`#include <OgreShaderFFPLighting.h>`

Inheritance diagram for Ogre::RTShader::FFPLighting:
[legend]

## Public Member Functions
| FFPLighting ()
| Class default constructor. More...
virtual void | copyFrom (const SubRenderState &rhs)
| More...
virtual bool | createCpuSubPrograms (ProgramSet *programSet)
| Create sub programs that represents this sub render state as part of a program set. More...
SubRenderStateAccessorPtr | getAccessor ()
| Return the accessor object to this sub render state. More...
SubRenderStateAccessorPtr | getAccessor () const
| Return the accessor object to this sub render state. More...
virtual int | getExecutionOrder () const
| More...
virtual const String & | getType () const
| More...
virtual bool | preAddToRenderState (const RenderState *renderState, Pass *srcPass, Pass *dstPass)
| More...
virtual void | updateGpuProgramsParams (Renderable *rend, Pass *pass, const AutoParamDataSource *source, const LightList *pLightList)
| More...

## Static Public Attributes
static String | Type

## Detailed Description

Lighting sub render state implementation of the Fixed Function Pipeline.

See also
  http://msdn.microsoft.com/en-us/library/bb147178.aspx Derives from SubRenderState class.

## Constructor & Destructor Documentation

## ◆ FFPLighting()

Ogre::RTShader::FFPLighting::FFPLighting | ( |  | ) |

Class default constructor.

## Member Function Documentation

## ◆ getType()

virtual const String& Ogre::RTShader::FFPLighting::getType | ( |  | ) | const
| virtual

See also
  SubRenderState::getType.

Implements Ogre::RTShader::SubRenderState.

## ◆ getExecutionOrder()

virtual int Ogre::RTShader::FFPLighting::getExecutionOrder | ( |  | ) | const
| virtual

See also
  SubRenderState::getType.

Implements Ogre::RTShader::SubRenderState.

## ◆ updateGpuProgramsParams()

virtual void Ogre::RTShader::FFPLighting::updateGpuProgramsParams | ( | Renderable * | rend,
|  | Pass * | pass,
|  | const AutoParamDataSource * | source,
|  | const LightList * | pLightList
| ) |  |
| virtual

See also
  SubRenderState::updateGpuProgramsParams.

Reimplemented from Ogre::RTShader::SubRenderState.

## ◆ copyFrom()

virtual void Ogre::RTShader::FFPLighting::copyFrom | ( | const SubRenderState & | rhs | ) |
| virtual

See also
  SubRenderState::copyFrom.

Implements Ogre::RTShader::SubRenderState.

## ◆ preAddToRenderState()

virtual bool Ogre::RTShader::FFPLighting::preAddToRenderState | ( | const RenderState * | renderState,
|  | Pass * | srcPass,
|  | Pass * | dstPass
| ) |  |
| virtual

See also
  SubRenderState::preAddToRenderState.

Reimplemented from Ogre::RTShader::SubRenderState.

## ◆ createCpuSubPrograms()

virtual bool Ogre::RTShader::SubRenderState::createCpuSubPrograms | ( | ProgramSet * | programSet | ) |
| virtual inherited

Create sub programs that represents this sub render state as part of a program set.

The given program set contains CPU programs that represents a vertex shader and pixel shader. One should use these program class API to create a representation of the sub state he wished to implement.

Parameters

  programSet | container class of CPU and GPU programs that this sub state will affect on.

Reimplemented in Ogre::RTShader::FFPTransform.

## ◆ getAccessor() [1/2]

SubRenderStateAccessorPtr Ogre::RTShader::SubRenderState::getAccessor | ( |  | ) |
| inherited

Return the accessor object to this sub render state.

See also
  SubRenderStateAccessor.

## ◆ getAccessor() [2/2]

SubRenderStateAccessorPtr Ogre::RTShader::SubRenderState::getAccessor | ( |  | ) | const
| inherited

Return the accessor object to this sub render state.

See also
  SubRenderStateAccessor.

## Member Data Documentation

## ◆ Type

String Ogre::RTShader::FFPLighting::Type
| static

The documentation for this class was generated from the following file:

- OgreShaderFFPLighting.h